Update Volume (V2)
Update the description of a volume.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
The organization ID of the volume.
The name of the volume to update.
The new description of the volume. The value can be an empty string.
export TOKEN="YOUR_API_KEY"
export VOLUME_NAME="my_volume"
curl --request PATCH \
--url "${BASE_URL}/v2/volumes/${VOLUME_NAME}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "OrgId: org-xxxxxxxxxxxxxxxxxxx" \
--header "Content-Type: application/json" \
-d '{
"description": "This is the new description of the volume."
}'
Response code.
Response payload which contains volume details.
The name of the volume.
The category of the volume.
The ID of the region where the volume is located.
The storage integration ID. Only returned for external volumes.
The path prefix within the volume. Only returned for external volumes.
The current status of the volume.
The creation time of the volume in ISO 8601 format.
A failure response.
Response code.
Error message.
{
"code": 0,
"data": {
"volumeName": "my_volume",
"type": "MANAGED",
"regionId": "aws-us-west-2",
"status": "RUNNING",
"createTime": "2026-05-06T03:50:35Z"
}
}
{
"code": 0,
"data": {
"volumeName": "my_external_volume",
"type": "EXTERNAL",
"regionId": "aws-us-west-2",
"storageIntegrationId": "integ-xxxxxxxxxxxxxxxxxxx",
"path": "data/",
"status": "RUNNING",
"createTime": "2026-05-06T03:50:35Z"
}
}